> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# RWA Tickers by ID

> To query the RWA tokens tickers on both centralized exchange (CEX) and decentralized exchange (DEX) based on a particular RWA ID

export const CacheInfo = ({publicRate, paidRate, rate}) => {
  const fmt = v => v === 0 ? 'Real-time (Cacheless)' : `Every ${v}`;
  if (rate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><br />{fmt(rate)}
      </Callout>;
  }
  if (publicRate !== undefined && paidRate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><ul><li>{fmt(paidRate)} (Paid API)</li><li>{fmt(publicRate)} (Demo / Keyless API)</li></ul>
      </Callout>;
  }
  return null;
};

export const PlanExclusivity = ({tier}) => {
  if (tier === "enterprise") {
    return <Callout icon="crown" color="#FFC107" iconType="regular">
        <strong>Enterprise Only</strong><br />This endpoint is exclusively available to <strong>Enterprise</strong> plan.<br /><a href="https://www.coingecko.com/en/api/enterprise">→ Contact sales</a>
      </Callout>;
  }
  if (tier === "analyst_above") {
    return <Callout icon="briefcase" color="#FFC107" iconType="regular">
        <strong>Analyst Plan and Above</strong><br />This endpoint is only available to <strong>Analyst, Lite, Pro, and Enterprise</strong> plan.<br /><a href="https://www.coingecko.com/en/api/pricing">→ View pricing</a>
      </Callout>;
  }
  if (tier === "basic_above") {
    return <Callout icon="briefcase" color="#FFC107" iconType="regular">
        <strong>Basic Plan and Above</strong><br />This endpoint is only available to <strong>Basic, Analyst, Lite, Pro, and Enterprise</strong> plan.<br /><a href="https://www.coingecko.com/en/api/pricing">→ View pricing</a>
      </Callout>;
  }
  throw new Error(`PlanExclusivity: invalid tier "${tier}". Use "basic_above", "analyst_above", or "enterprise".`);
};

#### Notes

* Find an RWA's API ID via [RWA List](/reference/rwas-list).
* Returns tickers for every token tracking this RWA. Use `issuer_ids` to filter by issuer — refer to [RWA Issuers List](/reference/rwas-issuers-list) for available values.
* Tickers are paginated to 100 items per page.
* Use `exchange_ids` to filter tickers for a specific exchange.
* When `dex_pair_format=symbol`, DEX pair `base` and `target` display as symbols (e.g. `WETH`, `USDC`) instead of contract addresses.
* When sorting by `volume`, `converted_volume` is used instead of `volume`.

<PlanExclusivity tier="basic_above" />

<CacheInfo rate="60 seconds" />


## OpenAPI

````yaml openapi-specs/pro-api.json get /rwas/{id}/tickers
openapi: 3.0.0
info:
  title: CoinGecko Pro API
  version: 3.0.0
servers:
  - url: https://pro-api.coingecko.com/api/v3
security:
  - headerAuth: []
  - queryAuth: []
paths:
  /rwas/{id}/tickers:
    get:
      summary: RWA Tickers by ID
      description: >-
        To query the RWA tokens tickers on both centralized exchange (CEX) and
        decentralized exchange (DEX) based on a particular RWA ID
      operationId: rwas-id-tickers
      parameters:
        - name: id
          in: path
          required: true
          description: |-
            RWA ID. 
            *refers to [`/rwas/list`](/reference/rwas-list)
          schema:
            type: string
            default: gold
        - name: issuer_ids
          in: query
          required: false
          description: |-
            Issuer ID. 
            *refers to [`/rwas/issuers/list`](/reference/rwas-issuers-list)
          schema:
            type: string
        - name: exchange_ids
          in: query
          required: false
          description: |-
            Exchange ID. 
            *refers to [`/exchanges/list`](/reference/exchanges-list)
          schema:
            type: string
        - name: page
          in: query
          required: false
          description: Page through results
          schema:
            type: integer
        - name: order
          in: query
          required: false
          description: |-
            Sort the order of responses. 
            Default: last_traded_at_desc
          schema:
            type: string
            enum:
              - last_traded_at_desc
              - last_traded_at_asc
              - volume_desc
              - volume_asc
        - name: depth
          in: query
          required: false
          description: >-
            Include 2% orderbook depth, i.e. `cost_to_move_up_usd` and
            `cost_to_move_down_usd`. 

            Default: false
          schema:
            type: boolean
        - name: dex_pair_format
          in: query
          required: false
          description: |-
            Set to `symbol` to display DEX pair base and target as symbols. 
            Default: `contract_address`
          schema:
            type: string
            enum:
              - contract_address
              - symbol
      responses:
        '200':
          description: List of RWA tickers
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RwasIdTickers'
              example:
                name: Gold
                tickers:
                  - base: PAXG
                    target: USD
                    market:
                      name: Kraken
                      identifier: kraken
                      has_trading_incentive: false
                      logo: >-
                        https://assets.coingecko.com/markets/images/29/small/kraken.jpg?1710000000
                    last: 2412.55
                    volume: 18542.31
                    converted_last:
                      btc: 0.037215
                      eth: 0.71204
                      usd: 2412.55
                    converted_volume:
                      btc: 689.93
                      eth: 13203.7
                      usd: 44735186
                    bid_ask_spread_percentage: 0.041523
                    timestamp: '2026-07-31T15:24:00+00:00'
                    last_traded_at: '2026-07-31T15:24:00+00:00'
                    last_fetch_at: '2026-07-31T15:24:00+00:00'
                    is_anomaly: false
                    is_stale: false
                    trade_url: https://www.kraken.com/prices/pax-gold
                    token_info_url: null
                    coin_id: pax-gold
                    target_coin_id: null
                    coin_mcap_usd: 4827893517
                    cost_to_move_up_usd: 152340.55
                    cost_to_move_down_usd: 148102.19
                  - base: '0x45804880de22913dafe09f4980848ece6ecbaf78'
                    target: '0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48'
                    market:
                      name: Uniswap V3 (Ethereum)
                      identifier: uniswap_v3
                      has_trading_incentive: false
                      logo: >-
                        https://assets.coingecko.com/markets/images/12/small/uniswap.jpg?1710000000
                    last: 2411.88
                    volume: 3204.77
                    converted_last:
                      btc: 0.037205
                      eth: 0.71184
                      usd: 2411.88
                    converted_volume:
                      btc: 119.21
                      eth: 2281.44
                      usd: 7730495
                    bid_ask_spread_percentage: 0.089741
                    timestamp: '2026-07-31T15:24:00+00:00'
                    last_traded_at: '2026-07-31T15:24:00+00:00'
                    last_fetch_at: '2026-07-31T15:24:00+00:00'
                    is_anomaly: false
                    is_stale: false
                    trade_url: >-
                      https://app.uniswap.org/explore/tokens/ethereum/0x45804880de22913dafe09f4980848ece6ecbaf78
                    token_info_url: null
                    coin_id: pax-gold
                    target_coin_id: usd-coin
                    coin_mcap_usd: 4827893517
                    cost_to_move_up_usd: 41230.88
                    cost_to_move_down_usd: 39887.42
components:
  schemas:
    RwasIdTickers:
      type: object
      required:
        - name
        - tickers
      properties:
        name:
          type: string
          description: RWA name
        tickers:
          type: array
          description: List of tickers
          items:
            type: object
            required:
              - base
              - target
              - market
              - last
              - volume
              - converted_last
              - converted_volume
              - bid_ask_spread_percentage
              - timestamp
              - last_traded_at
              - last_fetch_at
              - is_anomaly
              - is_stale
              - trade_url
              - token_info_url
              - coin_id
              - target_coin_id
              - coin_mcap_usd
            properties:
              base:
                type: string
                description: Ticker base currency
              target:
                type: string
                description: Ticker target currency
              market:
                type: object
                description: Exchange information
                properties:
                  name:
                    type: string
                    description: Exchange name
                  identifier:
                    type: string
                    description: Exchange identifier
                  has_trading_incentive:
                    type: boolean
                    description: Exchange trading incentive
                  logo:
                    type: string
                    description: Exchange logo URL
              last:
                type: number
                description: Last price
              volume:
                type: number
                description: Trading volume
              cost_to_move_up_usd:
                type: number
                description: Cost to move price up by 2% in USD
              cost_to_move_down_usd:
                type: number
                description: Cost to move price down by 2% in USD
              converted_last:
                type: object
                description: Converted last price
                properties:
                  btc:
                    type: number
                  eth:
                    type: number
                  usd:
                    type: number
              converted_volume:
                type: object
                description: Converted trading volume
                properties:
                  btc:
                    type: number
                  eth:
                    type: number
                  usd:
                    type: number
              bid_ask_spread_percentage:
                type: number
                description: Bid-ask spread percentage
              timestamp:
                type: string
                description: Ticker timestamp
              last_traded_at:
                type: string
                description: Last traded timestamp
              last_fetch_at:
                type: string
                description: Last fetch timestamp
              is_anomaly:
                type: boolean
                description: Whether ticker is anomalous
              is_stale:
                type: boolean
                description: Whether ticker is stale
              trade_url:
                type: string
                nullable: true
                description: Trade URL
              token_info_url:
                type: string
                nullable: true
                description: Token info URL
              coin_id:
                type: string
                description: Base currency coin ID
              target_coin_id:
                type: string
                nullable: true
                description: Target currency coin ID
              coin_mcap_usd:
                type: number
                description: Coin market cap in USD
  securitySchemes:
    headerAuth:
      type: apiKey
      in: header
      name: x-cg-pro-api-key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)
    queryAuth:
      type: apiKey
      in: query
      name: x_cg_pro_api_key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)

````